explain_close_or_die(3)

NAME
explain_close_or_die - close a file descriptor and report errors
    "close a file descriptor and report errors"

SYNOPSIS
#include <libexplain/close.h>

void explain_close_or_die(int fildes);

DESCRIPTION
The explain_close_or_die function is used to call the close(2) system call. On failure an explanation will be printed to stderr, obtained from explain_close(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_close_or_die(fildes);

fildes
    The fildes, exactly as to be passed to the close(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

close(2)
    close a file descriptor

explain_close(3)
    explain close(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller